REST Resource: regionHealthAggregationPolicies

Resource: HealthAggregationPolicy

Represents a health aggregation policy.

A health aggregation policy resource defines a policy to aggregate health.

For more information, see Health checks overview.

JSON representation
{
  "kind": string,
  "id": string,
  "creationTimestamp": string,
  "name": string,
  "description": string,
  "selfLink": string,
  "selfLinkWithId": string,
  "region": string,
  "policyType": enum (HealthAggregationPolicyType),
  "healthyPercentThreshold": integer,
  "minHealthyThreshold": integer,
  "fingerprint": string
}
Fields
kind

string

Output only. Output only. Type of the resource. Always

compute#healthAggregationPolicy

for health aggregation policies.

id

string (uint64 format)

Output only. Output only. The unique identifier for the resource. This identifier is defined by the server.

creationTimestamp

string

Output only. Output only. Creation timestamp in RFC3339 text format.

name

string

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

description

string

An optional description of this resource. Provide this property when you create the resource.

region

string

Output only. Output only. URL of the region where the health aggregation policy resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

policyType

enum (HealthAggregationPolicyType)

Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is

DNS_PUBLIC_IP_POLICY

. The only allowed value for regional resources is

BACKEND_SERVICE_POLICY

. Must be specified when the healthAggregationPolicy is created, and cannot be mutated.

healthyPercentThreshold

integer (uint32 format)

Can only be set if the

policyType

field is

BACKEND_SERVICE_POLICY

. Specifies the threshold (as a percentage) of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to

60

. Must be in range [0, 100]. Not applicable if the

policyType

field is

DNB_PUBLIC_IP_POLICY

. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and

minHealthyThreshold

must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.

minHealthyThreshold

integer (uint32 format)

Can only be set if the

policyType

field is

BACKEND_SERVICE_POLICY

. Specifies the minimum number of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to

1

. Must be positive. Not applicable if the

policyType

field is

DNB_PUBLIC_IP_POLICY

. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and

healthyPercentThreshold

must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.

fingerprint

string (bytes format)

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a

HealthAggregationPolicy

. An up-to-date fingerprint must be provided in order to patch the HealthAggregationPolicy; Otherwise, the request will fail with error

412 conditionNotMet

. To see the latest fingerprint, make a

get()

request to retrieve the HealthAggregationPolicy.

A base64-encoded string.

HealthAggregationPolicyType

Enums
DNS_PUBLIC_IP_POLICY
BACKEND_SERVICE_POLICY

Methods

aggregatedList

The method compute.v1.RegionHealthAggregationPoliciesService.AggregatedList is not available in Cloud de Confiance by S3NS.

delete

The method compute.v1.RegionHealthAggregationPoliciesService.Delete is not available in Cloud de Confiance by S3NS.

get

The method compute.v1.RegionHealthAggregationPoliciesService.Get is not available in Cloud de Confiance by S3NS.

insert

The method compute.v1.RegionHealthAggregationPoliciesService.Insert is not available in Cloud de Confiance by S3NS.

list

The method compute.v1.RegionHealthAggregationPoliciesService.List is not available in Cloud de Confiance by S3NS.

patch

The method compute.v1.RegionHealthAggregationPoliciesService.Patch is not available in Cloud de Confiance by S3NS.

testIamPermissions

The method compute.v1.RegionHealthAggregationPoliciesService.TestPermissions is not available in Cloud de Confiance by S3NS.